Ugrp::Engine.routes.draw do

  # authenticated :user do
  #  root :to => 'dashboard#index'
  # end

  if Gem.loaded_specs.key?('omniauth')
    devise_for :users, {
      :class_name => '::Ugrp::User',
      :module => :devise,
      :controllers => {
        :registrations => 'ugrp/users/registrations',
        :confirmations => 'ugrp/users/confirmations',
        :sessions => 'ugrp/users/sessions',
        :passwords => 'ugrp/users/passwords',
        :omniauth_callbacks => 'ugrp/users/omniauth_callbacks'
      },
      :path_names => {
        :sign_in =>  'login',
        :sign_out => 'logout',
        :sign_up =>  'register',
      }
    }
  else
    devise_for :users, {
      :class_name => '::Ugrp::User',
      :module => :devise,
      :controllers => {
        :registrations => 'ugrp/users/registrations',
        :confirmations => 'ugrp/users/confirmations',
        :sessions => 'ugrp/users/sessions',
        :passwords => 'ugrp/users/passwords'
        # :omniauth_callbacks => 'ugrp/users/omniauth_callbacks',
      },
      :path_names => {
        :sign_in => 'login',
        :sign_out => 'logout',
        :sign_up => 'register'
      }
    }
  end

  # match "/login(/:path)"  => 'application#login', :as => :login
  # match "/logout(/:path)" => 'application#logout', :as => :logout

  resources :users, :only => [:index, :show]
  resources :user_preferences

  resources :domains

  resources :groups
  resources :roles
  resources :permissions

  resources :acl_mappings

  # %w(user_group user_role group_permissions role_permissions).each do |acl|
  post "acl_mappings/acl_change(/:acl/:state)", to: 'acl_mappings#acl_change',
                                                constraints: {
                                                  acl: /[a-z_]+-[0-9a-z]+-[0-9a-z]+(-c|-r|-u|-d)?/,
                                                  state: /(false|0|true|1)/
                                                }

  get 'dashboard', to: 'dashboard#index'

  # Monitoring & Metrics
  get 'health', to: 'application#health'
  get 'ready', to: 'application#ready'
  get 'test_gauge', to: 'prometheus#test_gauge'

  root :to => 'landing_page#index'
end
