Rails.application.routes.draw do
  # Monitoring & Metrics
  get 'health' => 'application#health'
  get 'ready' => 'application#ready'
  get 'test_gauge', to: 'prometheus#test_gauge'

  mount Ugrp::Engine, at: '/ugrp', as: :ugrp if Gem.loaded_specs.key?('ugrp')
  mount Crud::Engine, at: "/crud", as: :crud if Gem.loaded_specs.key?('crud')

  root to: 'ugrp/landing_page#index'
end
